#include <bits/stdc++.h>

using namespace std;

int n;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin>>n;
    vector<long long> v(n);
    for(int i=0; i<n; i++)
        cin>>v[i];
    long long d=1;
    long long k=v[n-1];
    long long lt=v[n-1],s=v[n-1];
    for(int i=n-2; i>=0; i--){
        if(v[i]-d>0){
            if(v[i]==lt){
                k+=s;
            }
            else{
                lt=v[i];
                s=v[i]-d;
                k+=s;
            }
            d++;
        }
        else
            break;
    }
    cout<<k<<endl;
    return 0;
}